(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("lodash"));
	else if(typeof define === 'function' && define.amd)
		define(["lodash"], factory);
	else if(typeof exports === 'object')
		exports["httpr"] = factory(require("lodash"));
	else
		root["httpr"] = factory(root["_"]);
})(this, function(__WEBPACK_EXTERNAL_MODULE_7__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;
/******/
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// identity function for calling harmony imports with the correct context
/******/ 	__webpack_require__.i = function(value) { return value; };
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 13);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Custom body especification for Httpr.
 */
var HttprBody = (function () {
    /**
     * Create a custom body type.
     *
     * @param {string} type - media type value.
     * @param {T} content - raw body content.
     */
    function HttprBody(type, content) {
        this._type = type;
        this._content = content;
    }
    Object.defineProperty(HttprBody.prototype, "type", {
        /**
         * Retrieve body media type.
         *
         * @return {string} content type header value.
         */
        get: function () {
            return this._type;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HttprBody.prototype, "content", {
        /**
         * Retrieve raw body content.
         *
         * @return {T} body content.
         */
        get: function () {
            return this._content;
        },
        enumerable: true,
        configurable: true
    });
    return HttprBody;
}());
exports.HttprBody = HttprBody;


/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Media Type constants.
 *
 * Bundled Media Types:
 * - application/json
 * - application/x-www-form-urlencoded
 * - text/plain
 */
var MediaTypes = (function () {
    function MediaTypes() {
    }
    return MediaTypes;
}());
MediaTypes.APPLICATION_JSON = 'application/json';
MediaTypes.FORM_URLENCODED = 'application/x-www-form-urlencoded';
MediaTypes.TEXT_PLAIN = 'text/plain';
exports.MediaTypes = MediaTypes;


/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var _ = __webpack_require__(7);
var urljoin = __webpack_require__(12);
/**
 * Encode plain object into query string.
 *
 * @param {PlainObject} object - hash of items.
 * @returns {string} encoded query string.
 */
function urlEncode(object) {
    return _.chain(object)
        .toPairs()
        .map(function (pair) { return pair.join('='); })
        .join('&')
        .value();
}
exports.urlEncode = urlEncode;
/**
 * Decode a query string to plain object.
 *
 * @param {string} queryParams - encoded query string.
 * @return {PlainObject} hash of items.
 */
function urlDecode(queryParams) {
    return _.chain(queryParams)
        .split('&')
        .map(function (pair) { return pair.split('='); })
        .fromPairs()
        .value();
}
exports.urlDecode = urlDecode;
/**
 * Join two URL parts.
 *
 * @param {Array<string>} parts - URL parts.
 * @return {string} joined URL.
 */
function urlJoin() {
    var parts = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        parts[_i] = arguments[_i];
    }
    return urljoin.apply(void 0, parts.filter(function (part) { return !!part; }));
}
exports.urlJoin = urlJoin;


/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Http Method constants.
 *
 * @see {@link HttpMethod}
 */
var HttpMethods = (function () {
    function HttpMethods() {
    }
    return HttpMethods;
}());
HttpMethods.GET = 'get';
HttpMethods.POST = 'post';
HttpMethods.PUT = 'put';
HttpMethods.DELETE = 'delete';
HttpMethods.OPTIONS = 'options';
HttpMethods.PATCH = 'patch';
HttpMethods.HEAD = 'head';
HttpMethods.TRACE = 'trace';
HttpMethods.CONNECT = 'connect';
exports.HttpMethods = HttpMethods;


/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Httpr Provider fake implementation.
 *
 * This class should be extended and overridden by a low level implementation to perform
 * the actual request.
 */
var HttprProvider = (function () {
    function HttprProvider() {
    }
    /**
     * Perform a request with low level implementation.
     *
     * @param {HttpRequestSettings} settings - request settings.
     * @return {Promise<HttpResponse>} promise handler.
     */
    HttprProvider.prototype.request = function (settings) {
        var warning = 'You are using a fake provider. Please create a provider and override request method.';
        console.warn(warning);
        console.info(settings);
        return Promise.resolve({
            status: -1,
            statusText: 'Fake Response',
            responseText: warning,
            data: warning,
            headers: {}
        });
    };
    return HttprProvider;
}());
exports.HttprProvider = HttprProvider;


/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var HttpMethods_1 = __webpack_require__(3);
var HttpHeaders_1 = __webpack_require__(6);
var MediaTypes_1 = __webpack_require__(1);
var HttprUtils_1 = __webpack_require__(2);
var HttprBody_1 = __webpack_require__(0);
/**
 * Static methods used in Httpr for preparing requests and managing interceptors.
 */
var HttprStatic = (function () {
    function HttprStatic() {
    }
    /**
     * Prepare request settings and apply interceptors before sending the request.
     *
     * @param {Httpr} instance - instance of Http
     * @param {HttpMethod} method - http method to use.
     * @param {string} url - url of resource to request.
     * @param {PlainObject} params - hash of additional query parameters.
     * @param {StringMap} headers - hash of request headers to set.
     * @param {*} body - request body data.
     * @returns {HttpRequestSettings} prepared request settings.
     */
    HttprStatic.build = function (instance, method, url, params, headers, body) {
        var settings = {
            method: method || HttpMethods_1.HttpMethods.GET,
            url: HttprUtils_1.urlJoin(instance.config.baseUrl, url) || '',
            headers: headers || {},
            params: params || {}
        };
        if (body) {
            if (body instanceof HttprBody_1.HttprBody) {
                settings.headers[HttpHeaders_1.HttpHeaders.CONTENT_TYPE] = body.type;
                settings.body = body.toString();
            }
            else if (settings.headers[HttpHeaders_1.HttpHeaders.CONTENT_TYPE]) {
                settings.body = body;
            }
            else if (typeof body === 'object') {
                settings.headers[HttpHeaders_1.HttpHeaders.CONTENT_TYPE] = MediaTypes_1.MediaTypes.APPLICATION_JSON;
                settings.body = JSON.stringify(body);
            }
            else {
                settings.headers[HttpHeaders_1.HttpHeaders.CONTENT_TYPE] = MediaTypes_1.MediaTypes.TEXT_PLAIN;
                settings.body = body;
            }
        }
        instance.interceptors.forEach(function (interceptor) {
            settings = interceptor.beforeRequest(settings);
        });
        return settings;
    };
    /**
     * Receive success response and apply interceptors.
     *
     * @returns {Promise<HttpResponse>} resolution handler.
     */
    HttprStatic.onSuccess = function (instance, response) {
        var _response = response;
        instance.interceptors.forEach(function (interceptor) {
            _response = interceptor.afterSuccess(_response);
        });
        return Promise.resolve(_response);
    };
    /**
     * Receive error response and apply interceptors.
     *
     * @returns {Promise<HttpResponse>} rejection handler.
     */
    HttprStatic.onError = function (instance, response) {
        var _response = response;
        instance.interceptors.forEach(function (interceptor) {
            _response = interceptor.afterError(_response);
        });
        return Promise.reject(_response);
    };
    return HttprStatic;
}());
exports.HttprStatic = HttprStatic;


/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Http Header constants.
 *
 * Bundled headers:
 * - accept
 * - content-type
 */
var HttpHeaders = (function () {
    function HttpHeaders() {
    }
    return HttpHeaders;
}());
HttpHeaders.ACCEPT = 'accept';
HttpHeaders.ACCEPT_CHARSET = 'accept-charset';
HttpHeaders.ACCEPT_ENCODING = 'accept-encoding';
HttpHeaders.ACCEPT_LANGUAGE = 'accept-language';
HttpHeaders.ACCEPT_DATETIME = 'accept-datetime';
HttpHeaders.ACCEPT_RANGES = 'accept-ranges';
HttpHeaders.ACCESS_CONTROL_ALLOW_ORIGIN = 'access-control-allow-origin';
HttpHeaders.AUTHORIZATION = 'authorization';
HttpHeaders.CACHE_CONTROL = 'cache-control';
HttpHeaders.CONNECTION = 'connection';
HttpHeaders.COOKIE = 'cookie';
HttpHeaders.CONTENT_ENCODING = 'content-encoding';
HttpHeaders.CONTENT_LENGTH = 'content-length';
HttpHeaders.CONTENT_MD5 = 'content-md5';
HttpHeaders.CONTENT_TYPE = 'content-type';
HttpHeaders.DATE = 'date';
HttpHeaders.ETAG = 'etag';
HttpHeaders.EXPECT = 'expect';
HttpHeaders.EXPIRES = 'expires';
HttpHeaders.FORWARDED = 'forwarded';
HttpHeaders.FROM = 'from';
HttpHeaders.HOST = 'host';
HttpHeaders.PERMANENT = 'permanent';
HttpHeaders.IF_MATCH = 'if-match';
HttpHeaders.IF_MODIFIED_SINCE = 'if-modified-since';
HttpHeaders.IF_NONE_MATCH = 'if-none-match';
HttpHeaders.IF_RANGE = 'if-range';
HttpHeaders.IF_UNMODIFIED_SINCE = 'if-unmodified-since';
HttpHeaders.LAST_MODIFIED = 'last-modified';
HttpHeaders.MAX_FORWARDS = 'max-forwards';
HttpHeaders.ORIGIN = 'origin';
HttpHeaders.PRAGMA = 'pragma';
HttpHeaders.PROXY_AUTHORIZATION = 'proxy-authorization';
HttpHeaders.RANGE = 'range';
HttpHeaders.REFERER = 'referer';
HttpHeaders.STATUS = 'status';
HttpHeaders.TE = 'te';
HttpHeaders.USER_AGENT = 'user-agent';
HttpHeaders.UPGRADE = 'upgrade';
HttpHeaders.VIA = 'via';
HttpHeaders.WARNING = 'warning';
exports.HttpHeaders = HttpHeaders;


/***/ }),
/* 7 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_7__;

/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var HttprBody_1 = __webpack_require__(0);
var MediaTypes_1 = __webpack_require__(1);
var HttprUtils_1 = __webpack_require__(2);
/**
 * Form body for URL Encoded data media.
 */
var Form = (function (_super) {
    __extends(Form, _super);
    function Form(data) {
        return _super.call(this, MediaTypes_1.MediaTypes.FORM_URLENCODED, data) || this;
    }
    /**
     * Serialize body content as string.
     *
     * @return {string} body.
     */
    Form.prototype.toString = function () {
        return HttprUtils_1.urlEncode(this._content);
    };
    return Form;
}(HttprBody_1.HttprBody));
exports.Form = Form;


/***/ }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var HttprBody_1 = __webpack_require__(0);
var MediaTypes_1 = __webpack_require__(1);
/**
 * Json body for application json data media.
 */
var Json = (function (_super) {
    __extends(Json, _super);
    function Json(data) {
        return _super.call(this, MediaTypes_1.MediaTypes.APPLICATION_JSON, data) || this;
    }
    /**
     * Serialize body content as string.
     *
     * @return {string} body.
     */
    Json.prototype.toString = function () {
        return JSON.stringify(this._content);
    };
    return Json;
}(HttprBody_1.HttprBody));
exports.Json = Json;


/***/ }),
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var _ = __webpack_require__(7);
var HttpMethods_1 = __webpack_require__(3);
var HttprStatic_1 = __webpack_require__(5);
var HttprProvider_1 = __webpack_require__(4);
var Httpr = (function () {
    /**
     * Httpr constructor.
     *
     * @param {HttprConfig} config - custom http configuration.
     */
    function Httpr(config) {
        /**
         * List of interceptors.
         */
        this._interceptors = [];
        this._config = _.defaults(config, {
            provider: new HttprProvider_1.HttprProvider()
        });
    }
    Object.defineProperty(Httpr.prototype, "interceptors", {
        /**
         * Return interceptors from this http instance.
         *
         * @returns {Array<HttprInterceptor>} list of interceptors.
         */
        get: function () {
            return this._interceptors;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Httpr.prototype, "config", {
        /**
         * Return a copy of current configuration.
         *
         * @returns {HttprConfig} current config.
         */
        get: function () {
            return _.cloneDeep(this._config);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * Perform a GET request.
     *
     * @see {@link Httpr.request}
     *
     * @param {string} url - url of resource to request.
     * @param {PlainObject} params - hash of additional query parameters.
     * @param {StringMap} headers - hash of request headers to set.
     * @returns {Promise<HttpResponse>} promise handler.
     */
    Httpr.prototype.get = function (url, params, headers) {
        return this.request(HttpMethods_1.HttpMethods.GET, url, params, headers);
    };
    /**
     * Perform a POST request.
     *
     * @see {@link Httpr.request}
     *
     * @param {string} url - url of resource to request.
     * @param {PlainObject} params - hash of additional query parameters.
     * @param {*} body - request body data.
     * @param {StringMap} headers - hash of request headers to set.
     * @returns {Promise<HttpResponse>} promise handler.
     */
    Httpr.prototype.post = function (url, params, body, headers) {
        return this.request(HttpMethods_1.HttpMethods.POST, url, params, headers, body);
    };
    /**
     * Perform a PUT request.
     *
     * @see {@link Httpr.request}
     *
     * @param {string} url - url of resource to request.
     * @param {PlainObject} params - hash of additional query parameters.
     * @param {*} body - request body data.
     * @param {StringMap} headers - hash of request headers to set.
     * @returns {Promise<HttpResponse>} promise handler.
     */
    Httpr.prototype.put = function (url, params, body, headers) {
        return this.request(HttpMethods_1.HttpMethods.PUT, url, params, headers, body);
    };
    /**
     * Perform a DELETE request.
     *
     * @see {@link Httpr.request}
     *
     * @param {string} url - url of resource to request.
     * @param {PlainObject} params - hash of additional query parameters.
     * @param {StringMap} headers - hash of request headers to set.
     * @returns {Promise<HttpResponse>} promise handler.
     */
    Httpr.prototype.del = function (url, params, headers) {
        return this.request(HttpMethods_1.HttpMethods.DELETE, url, params, headers);
    };
    /**
     * Perform an OPTIONS request.
     *
     * @see {@link Httpr.request}
     *
     * @param {string} url - url of resource to request.
     * @param {PlainObject} params - hash of additional query parameters.
     * @param {StringMap} headers - hash of request headers to set.
     * @returns {Promise<HttpResponse>} promise handler.
     */
    Httpr.prototype.options = function (url, params, headers) {
        return this.request(HttpMethods_1.HttpMethods.OPTIONS, url, params, headers);
    };
    /**
     * Perform a PATCH request.
     *
     * @see {@link Httpr.request}
     *
     * @param {string} url - url of resource to request.
     * @param {PlainObject} params - hash of additional query parameters.
     * @param {StringMap} headers - hash of request headers to set.
     * @returns {Promise<HttpResponse>} Promise handler.
     */
    Httpr.prototype.patch = function (url, params, headers) {
        return this.request(HttpMethods_1.HttpMethods.PATCH, url, params, headers);
    };
    /**
     * Perform an HTTP Request.
     *
     * @see {@link HttprStatic}
     * @see {@link HttprProvider}
     *
     * @param {HttpMethod} method - http method to use.
     * @param {string} url - url of resource to request.
     * @param {PlainObject} params - hash of additional query parameters.
     * @param {StringMap} headers - hash of request headers to set.
     * @param {*} body - request body data.
     * @returns {Promise<HttpResponse>} promise handler.
     */
    Httpr.prototype.request = function (method, url, params, headers, body) {
        var _this = this;
        return this.config.provider
            .request(HttprStatic_1.HttprStatic.build(this, method, url, params, headers, body))
            .then(function (data) { return HttprStatic_1.HttprStatic.onSuccess(_this, data); })
            .catch(function (data) { return HttprStatic_1.HttprStatic.onError(_this, data); });
    };
    /**
     * Add an interceptor to the Http instance.
     *
     * @param {HttprInterceptor} interceptor - instance of the interceptor to add.
     * @returns {Httpr} current Http instance.
     */
    Httpr.prototype.register = function (interceptor) {
        this._interceptors.push(interceptor);
        return this;
    };
    /**
     * Remove an interceptor from the Http instance.
     *
     * @param {?HttprInterceptor} interceptor - instance of the interceptor to remove.
     * If none is specified, remove all interceptors.
     * @returns {Httpr} current Http instance.
     */
    Httpr.prototype.unregister = function (interceptor) {
        if (interceptor) {
            this._interceptors = _.without(this._interceptors, interceptor);
        }
        else {
            this._interceptors = [];
        }
        return this;
    };
    return Httpr;
}());
exports.Httpr = Httpr;


/***/ }),
/* 11 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Httpr Interceptor default implementation.
 *
 * This class should be extended to create new, functional interceptors.
 */
var HttprInterceptor = (function () {
    function HttprInterceptor() {
    }
    /**
     * Apply modifications to request settings.
     *
     * @param {HttpRequestSettings} settings - current request settings.
     * @return {HttpRequestSettings} modified request settings.
     */
    HttprInterceptor.prototype.beforeRequest = function (settings) {
        return settings;
    };
    /**
     * Apply modifications to success response.
     *
     * @param {HttpResponse} response - success response.
     * @return {HttpResponse} modified response.
     */
    HttprInterceptor.prototype.afterSuccess = function (response) {
        return response;
    };
    /**
     * Apply modifications to error response.
     *
     * @param {HttpResponse} response - error response.
     * @return {HttpResponse} modified response.
     */
    HttprInterceptor.prototype.afterError = function (response) {
        return response;
    };
    return HttprInterceptor;
}());
exports.HttprInterceptor = HttprInterceptor;


/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

var __WEBPACK_AMD_DEFINE_FACTORY__, __WEBPACK_AMD_DEFINE_RESULT__;(function (name, context, definition) {
  if (typeof module !== 'undefined' && module.exports) module.exports = definition();
  else if (true) !(__WEBPACK_AMD_DEFINE_FACTORY__ = (definition),
				__WEBPACK_AMD_DEFINE_RESULT__ = (typeof __WEBPACK_AMD_DEFINE_FACTORY__ === 'function' ?
				(__WEBPACK_AMD_DEFINE_FACTORY__.call(exports, __webpack_require__, exports, module)) :
				__WEBPACK_AMD_DEFINE_FACTORY__),
				__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
  else context[name] = definition();
})('urljoin', this, function () {

  function normalize (str, options) {

    // make sure protocol is followed by two slashes
    str = str.replace(/:\//g, '://');

    // remove consecutive slashes
    str = str.replace(/([^:\s])\/+/g, '$1/');

    // remove trailing slash before parameters or hash
    str = str.replace(/\/(\?|&|#[^!])/g, '$1');

    // replace ? in parameters with &
    str = str.replace(/(\?.+)\?/g, '$1&');

    return str;
  }

  return function () {
    var input = arguments;
    var options = {};

    if (typeof arguments[0] === 'object') {
      // new syntax with array and options
      input = arguments[0];
      options = arguments[1] || {};
    }

    var joined = [].slice.call(input, 0).join('/');
    return normalize(joined, options);
  };

});


/***/ }),
/* 13 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
// Core
var Httpr_1 = __webpack_require__(10);
exports.Httpr = Httpr_1.Httpr;
var HttprStatic_1 = __webpack_require__(5);
exports.HttprStatic = HttprStatic_1.HttprStatic;
var HttprProvider_1 = __webpack_require__(4);
exports.HttprProvider = HttprProvider_1.HttprProvider;
var HttprInterceptor_1 = __webpack_require__(11);
exports.HttprInterceptor = HttprInterceptor_1.HttprInterceptor;
var HttprUtils_1 = __webpack_require__(2);
exports.urlEncode = HttprUtils_1.urlEncode;
exports.urlDecode = HttprUtils_1.urlDecode;
exports.urlJoin = HttprUtils_1.urlJoin;
// Body
var HttprBody_1 = __webpack_require__(0);
exports.HttprBody = HttprBody_1.HttprBody;
var Form_1 = __webpack_require__(8);
exports.Form = Form_1.Form;
var Json_1 = __webpack_require__(9);
exports.Json = Json_1.Json;
// Enums
var HttpMethods_1 = __webpack_require__(3);
exports.HttpMethods = HttpMethods_1.HttpMethods;
var HttpHeaders_1 = __webpack_require__(6);
exports.HttpHeaders = HttpHeaders_1.HttpHeaders;
var MediaTypes_1 = __webpack_require__(1);
exports.MediaTypes = MediaTypes_1.MediaTypes;


/***/ })
/******/ ]);
});